# avoiding version conflict, set version 0.7.1 for rhel7
%define upstream_vesion 2019-09-30_18-11-12

Name: rhel-system-roles-sap
Summary: System Role prepares a RHEL system for running SAP software for SAP HANA
Version: 0.7.2
Release: 5%{?dist}
License: GPLv3+
Url: https://github.com/berndfinger
Source0: https://than.fedorapeople.org/rhel/%{name}-%{upstream_vesion}.tar.gz

# set sap_hana_preconfigure_min_packages_7.8 for rhel-7.8
Patch0: rhel-system-roles-sap-0.7.2-rhel-7.8.patch

# use {{ ansible_hostname }}.{{ ansible_domain }} instead of {{ ansible_fqdn }}
Patch1: sap-preconfig-baa3b58a0d2a60bb0e222b3dac5190c8ea171cf3.patch

# convert variables to bool when comparing in when: statements
# always use ansible_hostname + ansible_domain instead of ansible_fqdn
Patch2: sap-preconfig-b10e9f539263e1a2fd9222d6c52c55c7cb337130.patch

# set LC_ALL=C
Patch3: sap-hana-preconfigure-38a18c2890aa80c4562d002cc557945bdf9c5e7e.patch

BuildArch: noarch
Requires: uuidd

%description
Collection of Ansible roles which configures a RHEL system according
to applicable SAP notes so that any SAP software can be installed.

%prep
%setup -q -T -c -n %{name}-%{version} -a 0
%patch0 -p1
pushd sap-preconfigure
%patch1 -p1
%patch2 -p1
popd
pushd sap-hana-preconfigure
%patch3 -p1
popd

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ansible/roles \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-hana-preconfigure \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-preconfigure \
         $RPM_BUILD_ROOT%{_pkgdocdir}/sap-netweaver-preconfigure

# drop zero file
rm -f */.gitignore sap-hana-preconfigure/tasks/RedHat_6/recommendations.yml

cp -pR sap-hana-preconfigure sap-preconfigure sap-netweaver-preconfigure $RPM_BUILD_ROOT%{_datadir}/ansible/roles/
cp -p sap-hana-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-hana-preconfigure/
cp -p sap-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-preconfigure/
cp -p sap-netweaver-preconfigure/{README.md,LICENSE} $RPM_BUILD_ROOT%{_pkgdocdir}/sap-netweaver-preconfigure/

%files
%dir %{_pkgdocdir}
%dir %{_pkgdocdir}/sap-preconfigure
%dir %{_pkgdocdir}/sap-hana-preconfigure
%dir %{_pkgdocdir}/sap-netweaver-preconfigure
%dir %{_datadir}/ansible
%dir %{_datadir}/ansible/roles
%doc %{_pkgdocdir}/*/README.md
%license %{_pkgdocdir}/*/LICENSE
%{_datadir}/ansible/roles/*

%changelog
* Wed Oct 16 2019 Than Ngo <than@redhat.com> - 0.7.2-5
- always use ansible_hostname + ansible_domain instead of ansible_fqdn
- use {{ ansible_hostname }}.{{ ansible_domain }} instead of {{ ansible_fqdn }}
- added LC_ALL=C before commands for which the outputs are to be evaluated

* Tue Oct 15 2019 Than Ngo <than@redhat.com> - 0.7.2-4
- add missing sap_hana_preconfigure_min_packages_7.8

* Mon Oct 07 2019 Than Ngo <than@redhat.com> - 0.7.2-3
- own some directories

* Mon Oct 07 2019 Than Ngo <than@redhat.com> - 0.7.2-2
- drop requirement on rhel-system-roles

* Tue Oct 01 2019 Than Ngo <than@redhat.com> - 0.7.2-1
- rebase to 0.7.2 (upstream-version 2019-09-30_18-11-12)

* Fri Sep 13 2019 Than Ngo <than@redhat.com> - 0.7.1-1
- rebase to 0.7.1 (upstream-version 2019-09-12)

* Fri Aug 09 2019 Than Ngo <than@redhat.com> - 0.7-1
- Initial release.
